// ReadFileTest.cpp : Defines the entry point for the console application.
//

#define _CRT_SECURE_NO_WARNINGS

/**
 * @file file.c
 * This is the main file program start point.
 */
#include "stdio.h"
#include "simpletext.h"

extern _Driver _NullDriver;
extern _Driver _FileDriver;

/* This is a list of all drivers we can use in the
 * program. The default _InitIO function opens stdin,
 * stdout, and stderr based on the first driver in
 * the list (the null driver in this case).
 */
_Driver *_driverlist[] = {
  &_NullDriver,
  &_FileDriver,  // file driver must always be last on the list before NULL
  NULL
};

void createFile(const char *buffer)
{
    FILE *fp = fopen("test.txt", "w");
    if(*buffer && fp) {
        print("Writing '%s' to test.txt.\n", buffer);
        fwrite(buffer, sizeof(char), sizeof(buffer), fp);
        fclose(fp);
    }
}

int main()
{
    char buffer[80];
    createFile("3.14");    

    FILE* _file = fopen("test.txt", "r");

    if (_file == NULL)
    {
        return -1;
    }

    while (!feof(_file))
    {
        double f;
        if (!fread(buffer, sizeof(char), 80, _file))
        {
            print("EOF\n");
            break;
        }
        sscan(buffer, "%f", &f);
        print("%1.4f\n", f);
    }

    getChar();

    return 0;
}

